Subject: Re: [PATCH net-next 1/2] net: sched: fix logic error in qdisc_run_begin()

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 19 Oct 2021 12:45:49 +0200

Eric Dumazet <[email-masked]> writes:

> From: Eric Dumazet <[email-masked]>
>
> For non TCQ_F_NOLOCK qdisc, qdisc_run_begin() tries to set
> __QDISC_STATE_RUNNING and should return true if the bit was not set.
>
> test_and_set_bit() returns old bit value, therefore we need to invert.
>
> Fixes: 29cbcd858283 ("net: sched: Remove Qdisc::running sequence counter")
> Signed-off-by: Eric Dumazet <[email-masked]>
> Cc: Ahmed S. Darwish <[email-masked]>
> Cc: Sebastian Andrzej Siewior <[email-masked]>

Ah! I had just finished bisecting that lockup on qdisc install and
figured I'd check the list before I started investigating further. And
indeed you had beaten me to the punch with a fix - thanks! :)

Tested-by: Toke Høiland-Jørgensen <[email-masked]>